<?php
 /**
 * Description:  This file contains the following class:<br>
 * ShapeStyle class<br>
 * @author Steema Software SL.
 * @copyright (c) 1995-2018 by Steema Software SL. All Rights Reserved. <info@steema.com>
 * @version 1.0
 * @package TeeChartPHP
 * @subpackage styles
 * @link http://www.steema.com
 */
/**
 * ShapeStyle class
 *
 * Description: Describes the possible values of the Shape.Style method
 *
 * @author Steema Software SL.
 * @copyright Copyright (c) 1995-2018 by Steema Software SL. All Rights Reserved. <info@steema.com>
 * @version 1.0
 * @package TeeChartPHP
 * @subpackage styles
 * @link http://www.steema.com
 */

class ShapeStyle
{
   /**
   * The shape is a rectangle.
   */
   public static $RECTANGLE = 0;
   /**
   * The shape is a circle.
   */
   public static $CIRCLE = 1;
   /**
   * The shape is a vertical line.
   */
   public static $VERTLINE = 2;
   /**
   * The shape is a horizontal line.
   */
   public static $HORIZLINE = 3;
   /**
   * The shape is a triangle.
   */
   public static $TRIANGLE = 4;
   /**
   * The shape is an inverted triangle.
   */
   public static $INVERTTRIANGLE = 5;
   /**
   * The shape is a line.
   */
   public static $LINE = 6;
   /**
   * The shape is a diamond.
   */
   public static $DIAMOND = 7;
   /**
   * The shape is a cube.
   */
   public static $CUBE = 8;
   /**
   * The shape is a cross.
   */
   public static $CROSS = 9;
   /**
   * The shape is a diagonal cross.
   */
   public static $DIAGCROSS = 10;
   /**
   * The shape is a star.
   */
   public static $STAR = 11;
   /**
   * The shape is a pyramid.
   */
   public static $PYRAMID = 12;
   /**
   * The shape is an inverted pyramid.
   */
   public static $INVERTPYRAMID = 13;


   public function __construct() {}
}

?>